package com.develop.common.data_repo.db

import androidx.room.Database
import androidx.room.RoomDatabase
import androidx.room.migration.Migration
import androidx.sqlite.db.SupportSQLiteDatabase
import com.develop.common.data_repo.db.dao.DevConfigDao
import com.develop.common.data_repo.db.dao.UserInfoDao
import com.develop.common.data_repo.db.entity.*


val MIGRATION_1_2: Migration = object : Migration(1, 2) {
    override fun migrate(database: SupportSQLiteDatabase) {
        // 这里是您的迁移代码，用于处理从版本1到版本2的架构变更。
    }
}

@Database(
    entities = [DevVersion::class, UserInfo::class, UserFavoriteRecipes::class, UserHistoryRecipes::class, UserTag::class, UserOnLineRecipes::class,UserRecipeStepRemark::class],
    version = 2,
    exportSchema = false
)
abstract class UserDatabase : RoomDatabase() {

    abstract fun userInfoDao(): UserInfoDao

    abstract fun devConfigDao(): DevConfigDao

}